Subject: Re: [PATCH 0/2] net: Set maximum receive packet size on veth interfaces

From: Stephen Hemminger <[email-masked]>
Date: Tue, 9 May 2017 08:49:28 -0700

On Tue,  9 May 2017 14:44:36 +0200
Fredrik Markstrom <[email-masked]> wrote:

> Currently veth drops all packets larger then the mtu set on the receiving
> end of the pair. This is inconsistent with most hardware ethernet drivers.

There is no guarantee that packets larger than MTU + VLAN tag will be received
by hardware drivers. So why is this necessary for veth? What is your special
use case which makes this necessary?